shishi_apreq_add_authenticator(3)

NAME
shishi_apreq_add_authenticator - API function

SYNOPSIS
#include <shishi.h>

int shishi_apreq_add_authenticator(Shishi * handle, Shishi_asn1 apreq, Shishi_key * key, int keyusage, Shishi_asn1 authenticator);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 apreq
    AP-REQ to add authenticator field to.

Shishi_key * key
    key to to use for encryption.

int keyusage
    cryptographic key usage value to use in encryption.

Shishi_asn1 authenticator
    authenticator as allocated by shishi_authenticator().

DESCRIPTION
Encrypts DER encoded authenticator using key and store it in the AP-REQ.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.